| ovrnasubopt

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Calculate suboptimal secondary structure of RNA

## Description

This is a port of the Vienna RNA package program RNAsubopt.

It reads RNA sequences and calculates all suboptimal secondary structures within a user-defined energy range above the minimum free energy (mfe). It prints the suboptimal structures in bracket notation followed by the energy in kcal/mol to stdout.

Optionally, it will produce Boltzmann weighted samples of secondary structures.

## Algorithm

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with ovrnasubopt

    % ovrnasubopt
    Calculate suboptimal secondary structure of RNA
    Input nucleotide sequence: rna1.seq
    Vienna RNAfold output file [rna1.ovrnasubopt]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Calculate suboptimal secondary structure of RNA
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
      [-outfile]           outfile    [*.ovrnasubopt] Vienna RNAfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -constraintfile     infile     Vienna RNA structure constraints file
                                      (optional)
       -paramfile          infile     Vienna RNA parameters file (optional)
       -temperature        float      [37.0] Temperature (Any numeric value)
       -circular           boolean    [N] Allow circular RNA
       -dos                boolean    [N] DOS special corrections
       -[no]gu             boolean    [Y] Allow GU pairs
       -[no]closegu        boolean    [Y] Allow GU pairs at end of helices
       -[no]lp             boolean    [Y] Allow lonely pairs
       -[no]convert        boolean    [Y] Convert T to U
       -nsbases            string     Non-standard bases (Any string)
       -[no]tetraloop      boolean    [Y] Stabilizing energies for tetra-loops
       -erange             float      [1.0] Calculate suboptimal structures within
                                      erange of the mfe (Any numeric value)
       -prange             float      [0.0] Only print structures with energy
                                      within prange of the mfe (Any numeric value)
       -sort               boolean    [N] Sort structures by energy
       -logml              boolean    [N] Logarithmic energy function for
                                      multi-loops
       -dangles            menu       [2] Method (Values: 0 (Ignore); 1 (Only
                                      unpaired bases for just one dangling end); 2
                                      (Always use dangling energies); 3 (Allow
                                      coaxial stacking of adjacent helices))
       -nrandom            integer    [0] Number of random suboptimal structures
                                      (Any integer value)

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | sequence | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-outfile] (Parameter 2) | outfile | Vienna RNAfold output file | Output file | <*>.ovrnasubopt
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-constraintfile | infile | Vienna RNA structure constraints file (optional) | Input file | Required
-paramfile | infile | Vienna RNA parameters file (optional) | Input file | Required
-temperature | float | Temperature | Any numeric value | 37.0
-circular | boolean | Allow circular RNA | Boolean value Yes/No | No
-dos | boolean | DOS special corrections | Boolean value Yes/No | No
-[no]gu | boolean | Allow GU pairs | Boolean value Yes/No | Yes
-[no]closegu | boolean | Allow GU pairs at end of helices | Boolean value Yes/No | Yes
-[no]lp | boolean | Allow lonely pairs | Boolean value Yes/No | Yes
-[no]convert | boolean | Convert T to U | Boolean value Yes/No | Yes
-nsbases | string | Non-standard bases | Any string |
-[no]tetraloop | boolean | Stabilizing energies for tetra-loops | Boolean value Yes/No | Yes
-erange | float | Calculate suboptimal structures within erange of the mfe | Any numeric value | 1.0
-prange | float | Only print structures with energy within prange of the mfe | Any numeric value | 0.0
-sort | boolean | Sort structures by energy | Boolean value Yes/No | No
-logml | boolean | Logarithmic energy function for multi-loops | Boolean value Yes/No | No
-dangles | list | Method |
0 | (Ignore)
1 | (Only unpaired bases for just one dangling end)
2 | (Always use dangling energies)
3 | (Allow coaxial stacking of adjacent helices)
| 2
-nrandom | integer | Number of random suboptimal structures | Any integer value | 0
Associated qualifiers
"-sequence" associated sequence qualifiers
-sbegin1 -sbegin_sequence | integer | Start of the sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of the sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

ovrnasubopt reads any normal sequence USAs.

### Input files for usage example

### File: rna1.seq

    >rna1
    CACUACUCCAAGGACCGUAUCUUUCUCAGUGCGACAGUAA

## Output file format

ovrnasubopt Outputs a graph to the specified graphics device. Outputs a report format file.

### Output files for usage example

### File: rna1.ovrnasubopt

    > rna1 [100]
    CACUACUCCAAGGACCGUAUCUUUCUCAGUGCGACAGUAA   -380    100
    ...(((((....)).((((.((.....))))))...))).  -2.80
    ...(((((....)).(((((........)))))...))).  -3.80
    ...(((((....)..(((((........)))))..)))).  -3.10
    .(((..((....)).((((.((.....))))))..)))..  -2.80
    .(((..((....)).(((((........)))))..)))..  -3.80
    ......((....)).(((((........))))).......  -3.10
    ...............(((((........))))).......  -3.30

## Data files

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

Be careful, the number of structures returned grows exponentially with both sequence length and energy range. None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
banana | Plot bending and curvature data for B-DNA
btwisted | Calculate the twisting in a B-DNA sequence
einverted | Find inverted repeats in nucleotide sequences
ovrnaalifold | Calculate secondary structures for a set of aligned RNAs
ovrnaalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
ovrnacofold | Calculate secondary structures of RNA dimers
ovrnacofoldconc | Calculate secondary structures of RNA dimers (concentrations)
ovrnacofoldpf | Calculate secondary structures of RNA dimers (partitioning)
ovrnadistance | Calculate distances between RNA secondary structures
ovrnaduplex | Predict RNA duplex (hybridization) sites and structure
ovrnaeval | Calculate energy of RNA sequences with a given secondary structure
ovrnaevalpair | Calculate energy of RNA sequences on given secondary structure
ovrnafold | Calculate min. energy RNA structure / pair probabilities (partition)
ovrnafoldpf | Calculate min. energy RNA structure / pair probabilities
ovrnaheat | Calculate specific heat of RNA melting
ovrnainverse | Find RNA sequences with a given secondary structure
ovrnalfold | Calculate locally stable secondary structures of RNAs
ovrnaplot | Draw RNA secondary structures
sirna | Find siRNA duplexes in mRNA
vrna2dfold | Calculate RNA structures and samples of k,l neighbourhoods
vrnaaliduplex | RNA duplex calculation for two sequence alignments
vrnaalifold | Calculate secondary structures for a set of aligned RNAs
vrnaalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
vrnacofold | Calculate secondary structures of RNA dimers
vrnacofoldconc | Calculate secondary structures of RNA dimers (concentrations)
vrnacofoldpf | Calculate secondary structures of RNA dimers (partitioning)
vrnadistance | Calculate distances between RNA secondary structures
vrnaduplex | Predict RNA duplex (hybridization) sites and structure
vrnaeval | Calculate energy of RNA sequences with a given secondary structure
vrnaevalpair | Calculate energy of RNA sequences on given secondary structure
vrnafold | Calculate min. energy RNA secondary structures and pair probabilities
vrnafoldpf | Calculate min. energy RNA structures / pair probabilities (partition)
vrnaheat | Calculate specific heat of RNA melting
vrnainverse | Find RNA sequences with a given secondary structure
vrnalalifoldpf | Calculate secondary structures for a set of aligned RNAs (partition)
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnalfoldz | Calculate locally stable secondary structures of RNAs plus zscore
vrnapkplex | Calculate RNA structures plus pseudoknots
vrnaplfold | Compute avg. pair probabilities for local base pairs in RNA sequences
vrnaplot | Draw RNA secondary structures
vrnasubopt | Calculate suboptimal secondary structures of RNAs

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments